% Welfare chart for continuous state model

clear all; close all; clc;

lambdaGtrue = 0.016098633515958;
lambdaGvec = (0.0005:0.0005:0.02)';

load Results_grid_search_tech Closs;
Closs_tech = Closs;
Closstrue_tech = 0.068003587686270;
clear Closs;

load Results_grid_search_wcp Closs;
Closs_wcp = Closs;
Closstrue_wcp = 0.032515920053124;
clear Closs;

load Results_grid_search_cp Closs;
Closs_cp = Closs;
Closstrue_cp = 0.064904926431189;
clear Closs;

figure;
plot(lambdaGvec,Closs_tech./Closstrue_tech,'k-',lambdaGvec,Closs_cp./Closstrue_cp,'k--',lambdaGvec,Closs_wcp./Closstrue_wcp,'k-.',[lambdaGtrue lambdaGtrue],[0.6 1.3],'k:','LineWidth',2);
axis([0.0005 0.02 0.65 1.3]);
xlabel('$\tilde{\lambda}_G$','interpreter','latex');
