% Welfare chart for continuous state model

clear all; close all; clc;

lambdaGtrue = 0.016098633515958;

load Results_grid_search_cp_nozlb lambdaGvec Closs lambdaGopt Clossmin;
Closs_nozlb = Closs;
Closstrue_nozlb = Closs(32);
Clossmin_nozlb = Clossmin;
lambdaGopt_nozlb = lambdaGopt;
clear Closs lambdaGopt Clossmin;

load Results_grid_search_pref_only Closs lambdaGopt Clossmin;
Closs_nocp = Closs;
Closstrue_nocp = Closs(32);
Clossmin_nocp = Clossmin;
lambdaGopt_nocp = lambdaGopt;
clear Closs lambdaGopt Clossmin;

load Results_no_delegation_cp Closs;
Closstrue = Closs;
clear Closs;

load Results_grid_search_cp Closs lambdaGopt Clossmin;


figure;
plot(lambdaGvec,Closs./Closstrue,'k-',lambdaGvec,Closs_nocp./Closstrue_nocp,'k--',lambdaGvec,Closs_nozlb./Closstrue_nozlb,'k-.',[lambdaGtrue lambdaGtrue],[0.5 1.5],'k:','LineWidth',2);
axis([0.0005 0.02 0.5 1.5]);
xlabel('$\tilde{\lambda}_G$','interpreter','latex');
