% Plot normalized welfare loss as a function of lambda_Gtilde for
% alternative degrees of price indexation

clear all;
clc;
close all;

load Results_tau_0.1.mat lambdaGvec Closs lambdaGopt;
Closs01 = Closs;
lambdaGopt01 = lambdaGopt;
clear Closs lambdaGopt;
lambdaGtrue = lambdaGvec(22);
Closstrue01 = Closs01(22);

load Results_tau_0.3.mat Closs lambdaGopt;
Closs03 = Closs;
lambdaGopt03 = lambdaGopt;
clear Closs lambdaGopt;
Closstrue03 = Closs03(22);

figure;
plot(lambdaGvec,Closs01./Closstrue01,'k-',lambdaGvec,Closs03./Closstrue03,'k--',[lambdaGtrue lambdaGtrue],[0.5 1.4],'k:','LineWidth',2);
axis([0.00005 0.002 0.5 1.4]);
xlabel('$\tilde{\lambda}_{G}$','interpreter','latex', 'FontSize', 12);
legend('\zeta = 0.1','\zeta = 0.3','Location','NorthWest');
box on;